#
# spec file for package python-emoji
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2018 Matthias Bach <marix@marix.org>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-emoji
Version:        0.5.4
Release:        lp152.2.1
Summary:        Emoji for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/carpedm20/emoji/
Source:         https://files.pythonhosted.org/packages/source/e/emoji/emoji-%{version}.tar.gz
# https://github.com/carpedm20/emoji/pull/118
Patch0:         remove_nose.patch
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
This Python module provides unicode emoji output for strings containing emoji codes.
In addition to the official list defined by the unicode consortium a whole bunch of aliases is defined.

Example:
>> import emoji
>> print(emoji.emojize('Python is :thumbs_up:'))
Python is 👍
>> print(emoji.emojize('Python is :thumbsup:', use_aliases=True))
Python is 👍

%prep
%setup -q -n emoji-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}/emoji*

%check
%pytest tests/test_core.py tests/test_unicode_codes.py

%files %{python_files}
%doc CHANGES.md README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Mon Mar 30 2020 Paolo Stivanin <info@paolostivanin.com>
- Add remove_nose.patch
* Sat Sep 14 2019 Matthias Bach <marix@marix.org>
- Update to 0.5.4:
  * :robot: has been added as an alias for :robot_face:
  * Package now officially supports Python 3.7
* Fri Sep 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.5.3:
  * no upstream changelog
* Wed Apr 24 2019 pgajdos@suse.com
- version update to 0.5.2
  * no upstream changelog, see git log
- run the test suite
* Fri Mar  1 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.5.1:
  * Various small fixes
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sun Apr 15 2018 tchvatal@suse.com
- Fix source URL to use pythonhosted without hashes
* Sun Apr 15 2018 marix@marix.org
- Updated to upstream version 0.5.0.
  + Updated emoji set.
  + New function to count emojis in a string.
- Fixed example in package description.
* Sun Apr 15 2018 marix@marix.org
- Fix source URL.
* Wed Mar 14 2018 marix@marix.org
- Adjust test execution to single-spec format.
- Properly declare the license file in the files section.
* Tue Mar 13 2018 marix@marix.org
- Initial package release.
